Package pywbem :: Module cim_obj :: Class CIMClass |
[frames] | no frames]

# Class CIMClass

source code

    object --+
             |
            CIMClass

A CIM class.

Instance Methods
__init__(self, classname, properties=`{``}`, methods=`{``}`, superclass=None, qualifiers=`{``}`) Initialize the CIMClass object. | source code
copy(self) | source code
__repr__(self) repr(x) | source code
__cmp__(self, other) | source code
tocimxml(self) | source code
tomof(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables
| ... All parameters of __init__ are set as instance variables.

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, classname, properties=`{``}`, methods=`{``}`, superclass=None, qualifiers=`{``}`) (Constructor) | source code
Initialize the CIMClass object. TODO: add description Overrides: object.__init__

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)